#
# spec file for package rubygem-xmlhash
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-xmlhash
Version:        1.3.9
Release:        1.7
%define mod_name xmlhash
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  libxml2-devel
BuildRequires:  %{rubygem hoe}
BuildRequires:  %{rubygem pkg-config}
BuildRequires:  %{rubygem rake-compiler}
BuildRequires:  %{rubygem rake}
BuildRequires:  libxslt-devel
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
URL:            https://github.com/coolo/xmlhash
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Xmlhash is a naive form of XML::Simple
License:        MIT

%description
A small C module that wraps libxml2's xmlreader to parse a XML
string into a ruby hash.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt README.txt" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.3.9, see bundled History.txt
* Mon Apr  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.8
  see installed History.txt
  === 1.3.8 / 2022-04-04
  * Do not replace entities while parsing
* Tue Jul  5 2016 coolo@suse.com
- updated to version 1.3.7
  see installed History.txt
  === 1.3.7 / 2016-07-04
  * Fix XML parsing: ignore comments and parse huge TXT nodes
* Fri Jan 30 2015 coolo@suse.com
- fix indenting in gem2rpm.yml and recreate
* Tue Oct 14 2014 coolo@suse.com
- adapt to new packaging
* Mon Feb  3 2014 coolo@suse.com
- use new macros
* Wed Sep 11 2013 coolo@suse.com
- update to 1.3.6
  * Wrap libxml2 parsing in a synchronize block - otherwise the stacking
  will not work and it's too much work to make it reentrant
* Sun Jul 21 2013 coolo@suse.com
- fix update case with a %%pre hack
* Thu Jun 27 2013 coolo@suse.com
- do not break recent ruby with old workaround
* Mon May 13 2013 coolo@suse.com
- avoid broken lib/xmlhash file
* Fri Dec 21 2012 coolo@suse.com
- updated to version 1.3.5
  * Initialize result so we don't return something random in case of parse error
* Tue Dec  4 2012 coolo@suse.com
- updated to version 1.3.4
  * "upgrade" latin1 and us-ascii to utf-8 automatically
* Wed Nov  7 2012 coolo@suse.com
- updated to version 1.3.3
  * <files/> should return [] not [{}]
* Tue Nov  6 2012 coolo@suse.com
- updated to version 1.3.2
  * elements that have both attributes and content, are now parsed
  as { "attr" => "value", "_content" => "CONTENT" }
* Mon Oct  8 2012 coolo@suse.com
- update to version 1.3.1
  * fix manifest
* Mon Oct  1 2012 coolo@suse.com
- updated to version 1.3.0
  * parse will no longer return a plain ruby Hash, but a XMLHash,
  which is a subclass with some convenience functions added to it
* Thu Sep 27 2012 coolo@suse.com
- updated to version 1.2.4
  * set the encoding of the result to the encoding of the input
* Fri Aug  3 2012 coolo@suse.com
- use the new macros
* Sat Jun 30 2012 coolo@suse.com
- the spec says it requires pkg-config, so we need to have it
  at runtime too, even though it's pointless
* Fri Jun 22 2012 coolo@suse.com
- update to 1.2.2 - fix compilation on ubuntu
* Tue Apr  3 2012 coolo@suse.com
- do not buildrequire strange ruby versions
* Sat Mar 24 2012 coolo@suse.com
- fix a crash in heavy load
* Wed Mar 21 2012 coolo@suse.com
- update to 1.2 to fix crashes on high memory load
* Mon Mar 19 2012 coolo@suse.com
- update to 1.1.1 to fix tests on SLE11
* Mon Mar 19 2012 coolo@suse.com
- update to 1.1 to fix compilation with ruby 1.9 and to avoid
  problems with C++ on sles11 ;(
* Wed Feb 29 2012 coolo@suse.com
- initial package
